import java.awt.*;
import javax.swing.*;
import java.awt.event.*;
import java.awt.font.*;

public class  TextHitExample extends JPanel {
  private TextLayout textLayout;
  private int X = 45, Y = 85;

  public TextHitExample() {
    addMouseListener(new MouseAdapter() {
      public void mouseClicked(MouseEvent event) {
        TextHitInfo  textHit = textLayout.hitTestChar(event.getX() - X, event.getY()- Y);
        System.out.println(textHit);
      }
    });
  }
  public void paint(Graphics g) {
    Graphics2D g2d = (Graphics2D) g;
	String text = "Java is an Object Oriented Programming Language";
    Font font = new Font("Arial Narrow", Font.PLAIN, 20);

    if (textLayout == null) {
      FontRenderContext fontRenderContext = g2d.getFontRenderContext();
      textLayout = new TextLayout(text, font, fontRenderContext);
    }
    textLayout.draw(g2d, X, Y);
  }
  public static void main(String[] args) {
    JFrame frame = new JFrame("Show Text Hit");
    frame.getContentPane().add(new TextHitExample());
    frame.setSize(440, 200);
    frame.show();
  }
  }